Name:		ongres-scram
Version:	2.1
Release:	1
Summary:	Java Implementation for SCRAM(Salted Challenge Response Authentication Mechanism)
License:	BSD
URL:		https://github.com/ongres/scram
Source0:	https://github.com/ongres/scram/archive/2.1/scram-2.1.tar.gz
BuildRequires:	maven-local ongres-stringprep
BuildArch:	noarch

%description
Scram is part of the family of Simple Authentication and Security Layer
authentication mechanisms.It is described as part of RFC 5802 and RFC7677.
This pachage is a Java implementation.

%package client
Summary:	Client for ongres-scram

%description client
This package contains the client for ongres-scram.

%package help
Summary:	Javadoc for ongres-scram

Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description help
This package contains javadoc for ongres-scram

%package parent
Summary:	Parent POM of ongres-scram

%description parent
This package contains the ongres-scram parent POM.

%prep
%autosetup -p1 -n "scram-2.1"
find \( -name '*.jar' -o -name '*.class' \) -delete
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-dependency-plugin client
%pom_remove_plugin -r :maven-javadoc-plugin

%pom_remove_dep com.google.code.findbugs:annotations
sed -i 's/.*SuppressFBWarnings.*//' common/src/main/java/com/ongres/scram/common/message/ServerFinalMessage.java

%build
%mvn_build -s

%install
%mvn_install
sed -i 's/[0-9a-f]\{8\}-[0-9a-f]\{4\}-[0-9a-f]\{4\}-[0-9a-f]\{4\}-[0-9a-f]\{12\}/f2f42549-cfab-4d71-be48-5e9f9a41e5f5/g' $(find %{_buildrootdir} -name ongres-scram-client.xml)

%files -f .mfiles-common
%license LICENSE

%files client -f .mfiles-client

%files help -f .mfiles-javadoc

%files parent -f .mfiles-parent

%changelog
* Thu Feb 17 houyingchao <houyingchao@huawei.com> - 2.1-1
- Upgrade to 2.1 version
- Fix CVE-2022-21724

* Mon Nov 23 Senlin <xiasenlin1@huawei.com> - 1.0.0.beta.2-8
- modify the '~' in version

* Thu Dec 5 2019 Tianfei <tianfei16@huawei.com> - 1.0.0~beta.2-7
- Package init

